<!DOCTYPE html>
<html>
  <head>
    <meta charset="UTF-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge" />
    <meta name="viewport" content="width=device-width, initial-scale=1.0" />
    <title>Demo | Memorial Pages Portal | Adstate Embeddable Solutions</title>
    <style>
      body {
        font-size: 16px;
        line-height: 1.5;
        font-family: sans-serif;
        background-color: #f0f0f0;
      }

      body > header > div,
      body > footer > div {
        display: block;
        margin: 0 auto;
        align-items: center;
        width: 100%;
        max-width: 1240px;
      }

      body > main {
        background-color: #fff;
        display: flex;
        justify-content: center;
        align-items: center;
      }

      body > main > img {
        margin: 1em auto;
        width: 4em;
      }

      body > header {
        padding: 4em 2em 16em;
        background-size: cover;
        background-position: bottom center;
        background-image: url('/images/demo-header.jpg');
      }

      body > footer {
        display: block;
        margin: 4em auto;
      }

      #demo-settings {
        display: flex;
      }

      #demo-settings > div {
        padding: 0 1em 1em;
        border-radius: 8px;
        background-color: rgba(255, 255, 255, 0.5);
        border: 1px solid rgba(255, 255, 255, 0.5);
        -webkit-backdrop-filter: blur(0.25em);
        backdrop-filter: blur(0.25em);
      }
    </style>
  </head>
  <body>
    <header>
      <div>
        <p><a href="/portal/">⬅️ Go back</a></p>
        <br />

        <h1>Demo website</h1>
        <p>Here is our websites content</p>
        <p>Then comes the portal below</p>

        <br />
        <div id="demo-settings">
          <div>
            <h2>Update demo settings</h2>
            <form action="" method="get">
              <div>
                <label for="company-input">company</label>
                <input id="company-input" type="text" name="company" value="minnesider" />
              </div>
              <div>
                <input id="useCookiePopUp-input" type="checkbox" name="useCookiePopUp" checked />
                <label for="useCookiePopUp-input">useCookiePopUp</label>
              </div>
              <div>
                <input id="displayLanguageSwitcher-input" type="checkbox" name="displayLanguageSwitcher" checked />
                <label for="displayLanguageSwitcher-input">displayLanguageSwitcher</label>
              </div>
              <div>
                <input id="displayMenu-input" type="checkbox" name="displayMenu" checked />
                <label for="displayMenu-input">displayMenu</label>
              </div>
              <div>
                <input id="displayLogo-input" type="checkbox" name="displayLogo" checked />
                <label for="displayLogo-input">displayLogo</label>
              </div>
              <div>
                <input id="displayBanner-input" type="checkbox" name="displayBanner" checked />
                <label for="displayBanner-input">displayBanner</label>
              </div>
              <div>
                <button type="submit">Update demo</button>
              </div>
            </form>
          </div>
        </div>
      </div>
    </header>
    <main>
      <img
        src="https://img.adstate.com/zVDeMr-9kYdPuBRbPwO7h-yqgSFZvk8D5D4Bcjs1kg0/rs:fit:0:0:1/czM6Ly9qYXZhLWh1dC1pbWdwcm94eS9mbG9yYS1yZXNvdXJjZXMvb3RoZXIvbG9hZGluZy1zcGlubmVyLnN2Zz9TcHJHU3pydTJXOWpOLmtWcjUwRmliQVk1MUZfQUQuSA.svg"
        alt=""
      />
    </main>
    <footer>
      <div>
        <h2>Footer</h2>
        <p>We have a footer below the portal</p>
      </div>
    </footer>
    <script>
      ;(function () {
        let companyValue = 'minnesider'
        let useCookiePopUpValue = true
        let displayLanguageSwitcherValue = true
        let displayMenuValue = true
        let displayLogoValue = true
        let displayBannerValue = true

        // Get params
        const params = new URL(location.href).searchParams
        if (Array.from(params).length !== 0) {
          companyValue = !!params.get('company') ? params.get('company') : 'minnesider'
          useCookiePopUpValue = params.get('useCookiePopUp') === 'on'
          displayLanguageSwitcherValue = params.get('displayLanguageSwitcher') === 'on'
          displayMenuValue = params.get('displayMenu') === 'on'
          displayLogoValue = params.get('displayLogo') === 'on'
          displayBannerValue = params.get('displayBanner') === 'on'
        }

        // Setup the element
        const adstatePortalElement = document.createElement('adstate-portal')
        adstatePortalElement.setAttribute('company', companyValue)
        adstatePortalElement.setAttribute('useCookiePopUp', useCookiePopUpValue)
        adstatePortalElement.setAttribute('displayLanguageSwitcher', displayLanguageSwitcherValue)
        adstatePortalElement.setAttribute('displayMenu', displayMenuValue)
        adstatePortalElement.setAttribute('displayLogo', displayLogoValue)
        adstatePortalElement.setAttribute('displayBanner', displayBannerValue)

        // Add element to page
        const mainElement = document.querySelector('main')
        mainElement.innerHTML = ''
        mainElement.appendChild(adstatePortalElement)

        // Update input values
        document.querySelector('#company-input').value = companyValue
        document.querySelector('#useCookiePopUp-input').checked = useCookiePopUpValue
        document.querySelector('#displayLanguageSwitcher-input').checked = displayLanguageSwitcherValue
        document.querySelector('#displayMenu-input').checked = displayMenuValue
        document.querySelector('#displayLogo-input').checked = displayLogoValue
        document.querySelector('#displayBanner-input').checked = displayBannerValue

        // Load script
        const scriptElement = document.createElement('script')
        scriptElement.src = '/portal.js'
        document.body.appendChild(scriptElement)
      })()
    </script>
  </body>
</html>
